Bug 1151048 - using qemu+ssh for a libvirt CR results in selinux denials
Summary: using qemu+ssh for a libvirt CR results in selinux denials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SELinux
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-09 13:31 UTC by Jason Montleon
Modified: 2017-02-23 20:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:17:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
qemu_ssh works (42.93 KB, image/png)
2015-03-16 09:41 UTC, Kedar Bidarkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7719 0 Normal Closed Selinux prevents console from starting/connecting 2020-10-26 03:33:30 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Jason Montleon 2014-10-09 13:31:36 UTC
Description of problem:
When setting up a Libvirt CR in Satellite 6.0.4 and clicking Test Connection with selinux enforcing I get 'Error making a connection to libvirt URI qemu+ssh://<hostname>/system: Call to virConnectOpen failed: Cannot find 'ssh' in path: No such file or directory'

Version-Release number of selected component (if applicable):
Satellite 6.0.4

How reproducible:
Always

Steps to Reproduce:
1. Set up a libvirt host
2. Set up a Satellite 6.0.4 server on RHEL 7
3. Attempt to configure the libvirt host as a CR using qemu+ssh

Actual results:
selinux denial causes a 'Cannot find 'ssh'' error.

Expected results:
Libvirt CR finishes set up normally

Additional info:
http://projects.theforeman.org/issues/7719 is the upstream issue. I believe lzap has collected the information he needs to fix the issue with a policy update.

Comment 1 RHEL Program Management 2014-10-09 13:33:26 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 6 Kedar Bidarkar 2015-03-16 09:41:03 UTC
Created attachment 1002168 [details]
qemu_ssh works

VERIFIED With sat6.1 beta snap6 compose2

Comment 7 Bryan Kearney 2015-08-11 13:24:23 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:17:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.